"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.detectXXEInjection = detectXXEInjection;
const XXE_INJECTION_PATTERNS = [
    /<!ENTITY\s+.*\s+SYSTEM\s+["'].*["']\s*>/i,
    /<!DOCTYPE\s+.*\s+\[.*<!ENTITY\s+.*\s+SYSTEM\s+["'].*["']\s*>.*\]>/i,
    /<!ENTITY\s+.*\s+PUBLIC\s+["'].*["']\s+["'].*["']\s*>/i,
    /<!DOCTYPE\s+.*\s+\[.*<!ENTITY\s+.*\s+PUBLIC\s+["'].*["']\s+["'].*["']\s*>.*\]>/i,
    /<!ELEMENT\s+.*\s+ANY\s+>/i,
    /<!ENTITY\s+%.*;>/i,
    /<!ENTITY\s+%.*SYSTEM.*;>/i,
    /<!ENTITY\s+%.*PUBLIC.*;>/i,
];
/**
 * Detects if there is a potential XXE injection in a given input.
 *
 * @param input - The input to analyze.
 * @returns `true` if a potential XXE injection is detected, otherwise `false`.
 */
function detectXXEInjection(input) {
    return XXE_INJECTION_PATTERNS.some((pattern) => pattern.test(input));
}
//# sourceMappingURL=detectXXEInjection.js.map